import {
  httpGetInterceptor,
  httpPostInterceptor,
} from "../http-config/http-interceptor-service";

export async function getKnowledgeBaseCategoryList() {
  const url = `knowledge-base/category/list`;
  return httpGetInterceptor(url);
}

export async function getKnowledgeBaseList(id: number) {
  const url = `knowledge-base?categoryId=${id}`;
  return httpGetInterceptor(url);
}

export async function saveKnowledgeBaseCategory(data: any) {
  const url = 'knowledge-base/category';
  return httpPostInterceptor(url, data);
}